.wallet {
    width: 60vw;
    margin: 2rem auto 0 auto;
    color: $color-primary;
    @include clearfix;

    @media screen and (max-width: 1024px) {
        width: 80vw;
    }

    @media screen and (max-width: 460px) {
        width: 90vw;
    }

    p {
        margin-bottom: 0rem !important;

        span {
            padding-left: 1rem;
            color: #636363;
            font-size: 1.8rem;
            cursor: pointer;
        }
    }

    .address-style {
        font-size: 1.2rem;
        color: #000;
    }

    .keyPanel {
        width: 100%;
        height: 13rem;
        border: 1px solid #b8b8b8;
        padding: 3rem 0rem;
    }
    .balance {
        .icon {
            width: 3rem;
            padding-right: 10px;
            display: inline-block;
            line-height: 18px;
        }
        img {
            vertical-align: middle;
            border-style: none;
        }
        span {
            font-size: 1.4rem;
            margin-right: 2rem;
        }
    }

    .balanceUsd {

        display: table;
        width: 100%;

        p {
            text-align: center;
            vertical-align: middle;
            display: table-cell;
            font-size: 25px;
            color: $color-orange;
        }

        small {
            text-align: center;
            vertical-align: middle;
            display: table-cell;
        }

    }

    .historySection {
        margin-top: 10rem;
    }


    .accountCanvass {
        padding: 5rem 5rem;
        display: table;
        width: 100%;
        box-shadow: 0 0 0.5rem 0.5rem rgba(0, 0, 0, 0.1);
        border-radius: 0.8rem;

        .accountPanel {
            text-align: center;
            vertical-align: middle;
            display: table-cell;
            font-size: 25px;

            img {
                width: 15rem;
            }

            p {
                padding: 2rem;
            }

            .modalFooter {
                font-style: italic;
                letter-spacing: 1px;
                font-size: 1.5rem;
                color: #cd662b;
            }

            .accountButton {
                display: -ms-flexbox;
                display: flex;
                margin-top: 10rem;

                .create_button {
                    -ms-flex: 1;
                    flex: 1;
                    padding: 1rem;

                    button {
                        background-color: #2cb6c4;
                    }
                }
                
                .link_button {
                    -ms-flex: 1;
                    flex: 1;
                    padding: 1rem;

                    button {
                        background-color: #2cb6c4;
                    }
                }
            }
        }
    }
    
}

.generate-button {
display: flex;
margin-top: 2rem;

&-button {
    background-color: $color-navbar;
    border-radius: 5rem;
    border: none;
    padding: 1rem 2rem;
    font-size: 1.5rem;
    color: white;
    cursor: pointer;

    &:hover {
    background-color: $color-blue;
    }
}
}

.wallet_account {
    display: -ms-flexbox;
    display: flex;
}

.wallet_title {
    -ms-flex: 1;
    flex: 1;
    background-color: #fafafa;
    padding: 9px;
    color: $color-orange;
    font-size: 13px;
    text-align: center;
    cursor: pointer;
    border: 1px solid #b8b8b8;
    border-top-right-radius: .4rem;
    border-top-left-radius: .4rem;
}

.wallet_key_button {
    -ms-flex: 1;
    flex: 1;
    background-color: #fafafa;
    padding: 9px;
    color: #888;
    font-size: 13px;
    text-align: center;
    cursor: pointer;
    border: 1px solid #b8b8b8;
    border-bottom-left-radius: .4rem;

    i {
        font-size: 1.5rem;
    }
}

.wallet_qr_button {
    -ms-flex: 1;
    flex: 1;
    background-color: #fafafa;
    padding: 9px;
    color: #888;
    font-size: 13px;
    text-align: center;
    cursor: pointer;
    border: 1px solid #b8b8b8;
    border-bottom-right-radius: .4rem;

    i {
        font-size: 1.5rem;
    }
}


// Date

.trans_date {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    -ms-flex-preferred-size: 30px;
    flex-basis: 30px;
    color: $color-primary;

    .trans_month {
        line-height: 12px;
        font-size: 13px;
    }
    
    .trans_day {
        font-size: 21px;
        line-height: 18px;
        font-weight: 300;
    }

    .trans_year {
        line-height: 12px;
        font-size: 13px;
    }
}



.qrCanvass {
    padding: 2rem 5rem;
    display: table;
    width: 100%;

    .qrPanel {
        text-align: center;
        vertical-align: middle;
        display: table-cell;
        font-size: 25px;

        .modalTitle {
            text-align: center;
            font-size: 26px;
            color: #333;
        }

        .modalFooter {
            font-style: italic;
            letter-spacing: 1px;
            font-size: 1.2rem;
            color: #777777;
        }

        .modalImage {
            img {
                height: 8vh;
            }
            
        }

        // ngx-qrcode css property
        .qrcode {
            img {
                height: 200px;
                width: 200px;
            }
        }
    }

}

.keyCanvass {
    padding: 2rem 5rem;
    display: table;
    width: 100%;

    .keyPanel {
        text-align: center;
        vertical-align: middle;
        display: table-cell;
        font-size: 25px;
    
        .keyGroup{
            margin: 2rem;

            .modalTitle {
                text-align: center;
                font-size: 26px;
                color: #333;
            }
    
            .modalSubTitle {
                text-align: center;
                font-size: 1.6rem;
                color: #333;
            }
        }
    }
}


.transCanvass {
    padding: 2rem 5rem;
    display: table;
    width: 100%;
    table-layout: fixed;
    word-wrap: break-word;

    .transPanel {
        text-align: center;
        vertical-align: middle;
        display: table-cell;
        font-size: 25px;
    
        .transGroup{
            margin: 2rem 0rem;

            .modalTitle {
                text-align: center;
                font-size: 26px;
                color: #333;
            }
    
            .modalSubTitle {
                text-align: center;
                font-size: 1.6rem;
                color: #333;
            }

            .trans_icon_debitClass {
                font-size: 30px;
                color: #d24700;
                margin-bottom: 2rem;
            }

            .trans_icon_creditClass {
                font-size: 30px;
                color: #00a79b;
                margin-bottom: 2rem;
            }

            .trans_amount_debitClass {
                text-align: center;
                font-size: 20px;
                color: #d24700;
                margin-bottom: 2rem;
            }

            .trans_amount_creditClass {
                text-align: center;
                font-size: 20px;
                color: #00a79b;
                margin-bottom: 2rem;
            }

            .transList{
                border-radius: 4px;
                background: #fdfdfd;
                border: 1px solid #e6e6e6;
                margin-bottom: 1rem;
            
                .transList_panel {
                    margin-bottom: 26px;
                }
            
                .transItem {
                    display: -ms-flexbox;
                    display: flex;
                    -ms-flex-align: center;
                    align-items: center;
                    padding: 12px 16px;
                    border-bottom: 1px dotted #dbdbdb;
                    color: #777;
                    font-size: 1.5rem;
                    font-weight: 300;
            
                    .trans_title {
                        flex: 1 0 auto;
                        overflow: visible;
                        text-align: left;
                    }
            
                    .trans_value {
                        -ms-flex: 1 1 auto;
                        flex: 1 1 auto;
                        overflow: hidden;
                        text-overflow: ellipsis;
                        text-align: right;
                    }

                    .trans_value_hash {
                        -ms-flex: 1 1 auto;
                        flex: 1 1 auto;
                        overflow: hidden;
                        text-overflow: ellipsis;
                        text-align: right;
                        font-size: 1.2rem;
                    }
            
                    .trans_value {
                        white-space: nowrap;
                    }
                }

                
            }

            .transListHash{
                border-radius: 4px;
                background: #fdfdfd;
                border: 1px solid #e6e6e6;
                margin-bottom: 1rem;
                background-color: #f5f5f5;
            
                .transList_panelHash {
                    margin-bottom: 26px;
                }

                .transHash {
                    display: -ms-flexbox;
                    display: flex;
                    -ms-flex-align: center;
                    align-items: center;
                    padding: 12px 16px;
                    border-bottom: 1px solid #dbdbdb;
                    color: #777;
                    font-size: 1.5rem;
                    font-weight: 300;

                    .trans_hash_code {
                        flex: 1 0 auto;
                        overflow: visible;
                        text-align: left;
                        width: 100%;

                        .hash {
                            font-size: 1.2rem;
                        }

                        .messagePanel {
                            height: 30px;
                            overflow: auto;
                        }
                    }
                }
            }
        }
    }
}


//Custom modal size
.modal .modal-dialog {
    max-width: 40vw;
}

.form-control {
    height: 4rem;
    font-size: 1.3rem;
}

.btnCopy {
    font-size: 1.6rem
}


